Bug 192434

Summary: Review Request: compiz-quinn
Product: [Fedora] Fedora Reporter: Alphonse Van Assche <alcapcom>
Component: Package ReviewAssignee: Thorsten Leemhuis (ignored mailbox) <bugzilla-sink>
Status: CLOSED DUPLICATE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: che666, d-bugzilla, jarod, netllama, opensource, sertacyildiz, tjb
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-26 11:29:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Alphonse Van Assche 2006-05-19 14:31:27 EDT
Spec URL: http://users.telenet.be/quenta/SPECS/compiz-quinn.spec
SRPM URL: http://users.telenet.be/quenta/repo/compiz-quinn-0.0.10-1.src.rpm

Description:
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

This version of compiz use the sources of Quinn Strom -> http://xgl.compiz.info/ (it contain all the last patches and plugins for compiz). at this time, this version is less stable than these of suse by David Reveman.

They are my first paquackages and I need a sponsor.

regards,
Al
Comment 1 Alphonse Van Assche 2006-06-23 12:11:10 EDT
New urls:
http://fedoraxgl.tuxfamily.org/repository/5/SPECS/compiz-quinn.spec
http://fedoraxgl.tuxfamily.org/repository/5/SRPMS/compiz-quinn-0.0.13-1.fc5.src.rpm

I have done the same change as 192432 already ASSIGNED so i think that's ok.

Regards,
Alphons

rpmlint output:
W: compiz-quinn invalid-license X11/MIT/GPL
W: compiz-quinn non-conffile-in-etc /etc/gconf/schemas/compiz.schemas

Changlog:
- update to 0.0.13
- remove novell.png from the sources archive.
- add a patch for removing all novell.png entry in the sources.
- disable libsvg.
- remove Mesa build-in stuff.
- add %find_lang macro.
- rpmlint - fix descrition too long.
Comment 2 Till Maas 2006-08-23 20:49:19 EDT
It seems to me that you still / again need a sponsor since your other package is
(going to be) in Fedora Core instead of Extras and I do not find your e-mail
address in the list of cvsextras members. This means you need to add
FE-NEEDSPONSOR in the "blocks" input field. 
Comment 3 Stewart Adam 2006-09-18 17:09:33 EDT
Hello,
I'm not a reviewer but I can give a little help - In the Guidelines, rpmlint
errors must be fixed. This is the output of rpmlint on the SRPM you provided
above: (extra output enabled)

E: compiz-quinn description-line-too-long effects in window management, such as
a minimization effect and a cube workspace.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

E: compiz-quinn description-line-too-long Compiz use EXT_texture_from_pixmap
OpenGL extension extension for binding redirected
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

W: compiz-quinn invalid-license X11/MIT/GPL
The value of the License tag is invalid.  Valid values are:
"Academic Free License", "Adaptive Public License", "Apache License", "Apache
Software License", "Apple Public Source License", "Artistic", "Attribution
Assurance License", "BSD", "Computer Associates Trusted Open Source License",
"CDDL", "CPL", "CUA Office Public License", "EU DataGrid Software License",
"Eclipse Public License", "Educational Community License", "Eiffel Forum
License", "Entessa Public License", "Fair License", "Frameworx License",
"GPL", "LGPL", "Historical Permission Notice and Disclaimer", "IBM Public
License", "Intel Open Source License", "Jabber Open Source License", "Lucent
Public License", "MIT", "CVW License", "Motosoto License", "MPL", "NASA Open
Source Agreement", "Naumen Public License", "Nethack General Public License",
"Nokia Open Source License", "OCLC Research Public License", "Open Group Test
Suite License", "Open Software License", "PHP License", "Python license",
"Python Software Foundation License", "QPL", "RealNetworks Public Source
License", "Reciprocal Public License", "Ricoh Source Code Public License",
"Sleepycat License", "Sun Industry Standards Source License", "Sun Public
License", "Sybase Open Watcom Public License", "University of Illinois/NCSA
Open Source License", "Vovida Software License", "W3C License", "wxWindows
Library License", "X.Net License", "Zope Public License", "zlib License",
"Design Public License", "GFDL", "LaTeX Project Public License", "OpenContent
License", "Open Publication License", "Public Domain", "Ruby License", "SIL
Open Font License", "Charityware", "Commercial", "Distributable", "Freeware",
"Non-distributable", "Proprietary", "Shareware".
If the license is close to an existing one, you can use '<license> style'.

error checking signature of compiz-quinn-0.0.13-1.fc5.src.rpm
W: compiz-quinn strange-permission gnome-compizrc 0755
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

E: compiz-quinn invalid-spec-name repo-compiz-quinn.spec
Your spec filename must end with '.spec'. If it's not the case, rename your
file and rebuild your package.
Comment 4 Rahul Sundaram 2006-09-20 11:39:04 EDT
Apparently this has become a fork and renamed

http://www.compiz.net/topic-4562-1.html
Comment 5 Alphonse Van Assche 2006-09-21 16:24:20 EDT
I tested the fork on a fresh FC5 installation.
Here are de dependencies that i have installed (if that can helped somebody):

autoconf.noarch 2.59-7
automake.noarch 1.9.6-2
libtool.i386 1.5.22-2.3
libXcomposite-devel.i386 0.2.2.2-2.2
libXdamage-devel.i386 1.0.2.2-2.2
startup-notification-devel.i386 0.8-3.2.1
imake.i386 1.0.1-3
dbus-devel.i386 0.61-3.fc5.1
libcroco-devel.i386 0.6.1-1
libgsf-devel.i386 1.13.3-2.2.1
librsvg2-devel.i386 2.14.4-1.fc5.1
libwnck-devel.i386 2.14.3-1.fc5

The developers does not propose packages yet and wait until a first stable
release before providing theirs debian packages.
I think that, it would be well if we prepare these packages in advance. Like
that once a stable version relesead, we will be able to release it. 
Comment 6 Lars G 2006-09-26 19:09:31 EDT
Some packaged beryl checkout to toy with would be great!
Comment 7 Jarod Wilson 2006-10-03 16:47:13 EDT
(In reply to comment #6)
> Some packaged beryl checkout to toy with would be great!

I'm busy playing with this right now myself... Still working on refining the
packages, but they should all be here shortly:

http://wilsonet.com/packages/beryl/

Only beryl-core as I type, still working on the rest...
Comment 8 Lars G 2006-10-03 18:54:25 EDT
yay, great!

just did a rebuild of your source packages
(core/manager/plugins/settings/emerald) on a current rawhide install
and beryl-start works fine with gf6600gt and latest nvidia beta drivers.
the new effects are looking sooo nice!

...back to testing some bling :)
Comment 9 Jarod Wilson 2006-10-03 19:02:00 EDT
...and I just uploaded emerald-themes to finish off the full set. Glad to hear
they're workin' for ya, I haven't got as far as testing out the actual
functionality yet. :)

Still a little bit of spec cleanup work to do, but all in all, this is looking
rather promising...
Comment 10 Jarod Wilson 2006-10-03 19:20:36 EDT
Okay, just had a chance to test out the fruits of my labor. NICE!
Comment 11 Lars G 2006-10-03 19:34:56 EDT
Indeed, this is truly looking great!
Thanks for doing these nice packages, feels like christmas, so much (eye-)candy :)
Comment 12 Lars G 2006-10-04 02:16:52 EDT
ok

after some hours of testing i have to say that it runs totally stable.(!)

one thing i noticed is that when going to system>preferences>windows
an window pops up telling:
"Cannot start the preferences application for your window manager
Window manager "beryl" has not registered a configuration tool"
this worked ok with compiz from rawhide i tried before.

currently i'm starting beryl with beryl-start from gnome-session.
i had to add "--use-cow --indirect-rendering"
to /usr/bin/beryl-start, because there were some black windows after login
without these options set.

i also tried to add beryl-start to the /apps/gnome-session/rh/window_manager
gconf entry.
it started (got that wobbly beryl splash) but then it only displayed a white
desktop. maybe some timing issue.

overall pretty impressive and speedwise on par with rawhide's compiz here.
Comment 13 Jarod Wilson 2006-10-04 02:41:17 EDT
I've gone ahead and submitted all the beryl components for review:

beryl-core - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209259
beryl-manager - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209260
beryl-settings - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209261
beryl-plugins - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209262
emerald - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209263
emerald-themes - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209264

I'll have to poke around to see what can be done about that message in
system->prefs->windows... Should be registering beryl-settings, obviously, just
dunno how to do it yet... :)

The other stuff sounds like good content for a page in the Fedora and/or Beryl
wiki(s).
Comment 14 Thomas J. Baker 2006-10-04 08:41:52 EDT
I had problems with it not remembering my theme setting. Each time I start it,
it goes to the default theme. I did have a lockup when turning on Blurring from
the beryl-manager too (nvidia binary drivers). And although it kind of is
xinerma aware for window maximize, it still opens windows in the middle of the
two screens. Also on maximize, it maximizes the window in one screen but
seemingly doesn't ask it to redraw. Depending on the app, this can be messy. I'm
not sure which of these are upstream bugs and which are packaging ones.

Still, the eye candy is quite impressive. I still miss the exploding window on
close from metacity though. I was hoping beryl would have it but I don't see it
anywhere.
Comment 15 Sertaç Ö. Yıldız 2006-10-05 10:27:31 EDT
* beryl-manager uses pidof which is not in $PATH
* how about adding gnome-window-decorator and compiz to beryl-manager managed
window managers/decorators list? 
Comment 16 Jarod Wilson 2006-10-05 15:03:28 EDT
(In reply to comment #15)
> * beryl-manager uses pidof which is not in $PATH
> * how about adding gnome-window-decorator and compiz to beryl-manager managed
> window managers/decorators list? 

This should probably be tracked in the beryl-manager package review bug (bug
209260), not this one. But I did just upload a -2 build of beryl-manager that
fixes the pidof problem and adds gnome-window-manager and compiz to the
beryl-manager menu (tested it out, works great, only caveat is that when
changing from beryl to compiz, you need to switch from beryl/emerald to
beryl/gnome-window-decorator to compiz, or the window decorations in compiz get
tanked).
Comment 17 Lars G 2006-10-05 18:43:29 EDT
a check with rpmlint tells "unstripped-binary-or-object"
on all packages, so i filed it here.
Comment 18 Jarod Wilson 2006-10-05 19:23:11 EDT
Which packages? The compiz-quinn ones or my beryl/emerald ones? I ask, because I
get no such thing w/the beryl and emerald packages, just this:

$ rpmlint beryl-* emerald-*
W: beryl-core-devel no-documentation
W: emerald-devel no-documentation
Comment 19 Lars G 2006-10-05 19:40:11 EDT
did this on your beryl/emerald ones, but it looks like a config issue on my side. 
just checked some other rpms i compiled lately and they show the same problem.
so this was false alarm, sorry.
Comment 20 Lars G 2006-10-20 18:13:19 EDT
just noticed that beryl 0.1.1 is out.
see http://blog.beryl-project.org/?p=13
Comment 21 Jarod Wilson 2006-10-26 11:29:38 EDT
I've pushed 0.1.1 updates for all previously built beryl components (and will
work on a beryl-dbus package when I get the chance). Also, I'm closing this bug
as a dupe of the beryl-core one, please use that bug or the respective beryl
sub-package bugs for any further discussion on beryl.

*** This bug has been marked as a duplicate of 209259 ***
Comment 22 Trever Adams 2006-11-13 09:04:55 EST
Seeing the differences between compiz and beryl, I think I would like beryl in
fedora core.